OctoPrint update 1.2.10 -> 1.3.0 failing

Have questions or comments about Simplify3D, Slic3r, Cura, Reptier, etc? Or wondering about which CAD software to use...discuss it here...
Post Reply
Hugs
Posts: 87
Joined: Tue Mar 08, 2016 11:16 pm
Location: Pennsylvania

OctoPrint update 1.2.10 -> 1.3.0 failing

Post by Hugs » Sun Dec 11, 2016 4:52 pm

Have any OctoPi/OctoPrint users tried to upgrade to 1.3.0 since the release a few days ago? I just tried it directly from the interface and the update fails and breaks the OctoPrint install.

I haven't dug into it yet but I was just curious if anyone else has tried yet.

Edit: This was on a fresh install of the OctoPi image.

petej
Posts: 10
Joined: Fri Jun 13, 2014 6:27 pm

Re: OctoPrint update 1.2.10 -> 1.3.0 failing

Post by petej » Mon Dec 12, 2016 3:03 am

I've updated to 1.3.0 and used it with no problems, but I updated from the last release, which was 1.2.18. You may need to do a fresh install rather than an update.

There is a helpful Octoprint FAQ here that covers various updating issues, including instructions on how to roll back to an earlier version.

User avatar
jimc
Posts: 2888
Joined: Wed Apr 09, 2014 11:30 pm
Location: mullica, nj
Contact:

Re: OctoPrint update 1.2.10 -> 1.3.0 failing

Post by jimc » Mon Dec 12, 2016 6:22 am

just updated 2 of them. no issues. i just updated through the interface. wasnt a new install

User avatar
zemlin
Posts: 457
Joined: Thu Feb 04, 2016 9:32 pm
Location: Indianapolis, Indiana

Re: OctoPrint update 1.2.10 -> 1.3.0 failing

Post by zemlin » Mon Dec 12, 2016 5:04 pm

My update went fine. Printed post upgrade without significant issues. I did get an error message about the part exceeding print volume - I suspect it might be the purge off-plate that needs to be overlooked - minor bug, if that's what it is.

jsc
Posts: 1864
Joined: Thu Apr 10, 2014 4:00 am

Re: OctoPrint update 1.2.10 -> 1.3.0 failing

Post by jsc » Mon Dec 12, 2016 8:04 pm

I had an update failure. Look in the octoprint log, it may tell you what went wrong. The log is, for me, in ~/.octoprint/logs/octoprint.log. For me, there was an existing file that would have been overwritten by the merge: tests/users/__init__.py. Remove any such files and try again.

Hugs
Posts: 87
Joined: Tue Mar 08, 2016 11:16 pm
Location: Pennsylvania

Re: OctoPrint update 1.2.10 -> 1.3.0 failing

Post by Hugs » Mon Dec 12, 2016 9:22 pm

Thanks for the feedback, all.

I got around to looking at the log and saw a bunch of dependency issues for the build. In case anyone else has this issue, here's what I did to install the missing deps:

Code: Select all

~/oprint/bin/pip install https://github.com/benhoyt/scandir/archive/v1.3.zip
~/oprint/bin/pip install https://github.com/PythonCharmers/python-future/archive/v0.15.2.zip
~/oprint/bin/pip install --trusted-host pypi.python.org chainmap==1.0.2
~/oprint/bin/pip install --trusted-host pypi.python.org feedparser==5.2.1
~/oprint/bin/pip install --trusted-host pypi.python.org Click==6.2
~/oprint/bin/pip install --trusted-host pypi.python.org markdown==2.6.4
~/oprint/bin/pip install --trusted-host pypi.python.org sockjs-tornado==1.0.2
~/oprint/bin/pip install --trusted-host pypi.python.org tornado==4.0.2
This is my first foray into OctoPi/OctoPrint and looking at the Github issues, there seems to be a few bugs around updating. But given that 1.3 was just released, I did expect a few growing pains given the OctoPrint version on the OctoPi image is pretty out of date (1.2.10 is from March). I suspect (hope) that the img will be updated soon.

Post Reply